---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# AdminPostSalesChannelsReq

## Properties

<ParameterTypes parameters={[
  {
    "name": "description",
    "type": "`string`",
    "description": "The description of the Sales Channel",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "is_disabled",
    "type": "`boolean`",
    "description": "Whether the Sales Channel is disabled.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "name",
    "type": "`string`",
    "description": "The name of the Sales Channel",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
